import request from '@/utils/request'

// 查询分支机构信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrBranchInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询分支机构信息详细
export function getInfo(id) {
  return request({
    url: '/basicData/xcrBranchInfo/' + id,
    method: 'get'
  })
}

// 新增分支机构信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrBranchInfo',
    method: 'post',
    data: data
  })
}

// 修改分支机构信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrBranchInfo',
    method: 'put',
    data: data
  })
}

// 删除分支机构信息
export function delInfo(id) {
  return request({
    url: '/basicData/xcrBranchInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrBranchInfo/delete',ids)
}
